Function initSeek();

Global Slider sliderPlayerNormalSeek;
Global Slider sliderPlayerNormalSeekGhost;
Global Slider sliderVideoNormalSeek;
Global Slider sliderVideoNormalSeekGhost;
Global Boolean boolSeeking;

initSeek() {
	sliderPlayerNormalSeek = layoutMainNormal.findObject("player.slider.seek");
	sliderPlayerNormalSeekGhost = layoutMainNormal.findObject("player.slider.seek.ghost");
	
	sliderVideoNormalSeek = layoutVideoNormal.findObject("video.slider.seek");
	sliderVideoNormalSeekGhost = layoutVideoNormal.findObject("video.slider.seek.ghost");
	
	sliderPlayerNormalSeekGhost.setAlpha(1);
	sliderVideoNormalSeekGhost.setAlpha(1);
}

sliderPlayerNormalSeek.onLeftButtonDown(Int intPosX, Int intPosY) { boolSeeking = true; }
sliderPlayerNormalSeek.onLeftButtonUp(Int intPosX, Int intPosY) { boolSeeking = false; }

sliderVideoNormalSeek.onLeftButtonDown(Int intPosX, Int intPosY) { boolSeeking = true; }
sliderVideoNormalSeek.onLeftButtonUp(Int intPosX, Int intPosY) { boolSeeking = false; }

sliderPlayerNormalSeekGhost.onLeftButtonDown(Int intPosX, Int intPosY) { sliderPlayerNormalSeekGhost.setAlpha(128); }
sliderPlayerNormalSeekGhost.onLeftButtonUp(Int intPosX, Int intPosY) { sliderPlayerNormalSeekGhost.setAlpha(1); }

sliderVideoNormalSeekGhost.onLeftButtonDown(Int intPosX, Int intPosY) { sliderVideoNormalSeekGhost.setAlpha(128); }
sliderVideoNormalSeekGhost.onLeftButtonUp(Int intPosX, Int intPosY) { sliderVideoNormalSeekGhost.setAlpha(1); }

sliderPlayerNormalSeekGhost.onSetPosition(Int intPosition) {
	if (sliderPlayerNormalSeekGhost.getAlpha() == 1) {
		return;
	}
	Float floatPlayItemLength = System.getPlayItemLength();
	if (floatPlayItemLength > 0) {
		Float floatPositionPercentage = intPosition / 255 * 100;
		Int intNewPosition = floatPlayItemLength * floatPositionPercentage / 100;
		showActionInfo("Seek to: " + System.integerToTime(intNewPosition));
	}
}

sliderVideoNormalSeekGhost.onSetPosition(Int intPosition) {
	if (sliderVideoNormalSeekGhost.getAlpha() == 1) {
		return;
	}
	Float floatPlayItemLength = System.getPlayItemLength();
	if (floatPlayItemLength > 0) {
		Float floatPositionPercentage = intPosition / 255 * 100;
		Int intNewPosition = floatPlayItemLength * floatPositionPercentage / 100;
		showActionInfo("Seek to: " + System.integerToTime(intNewPosition));
	}
}

sliderPlayerNormalSeekGhost.onSetFinalPosition(Int intPostion) { sliderPlayerNormalSeekGhost.setAlpha(1); }

sliderVideoNormalSeekGhost.onSetFinalPosition(Int intPostion) { sliderVideoNormalSeekGhost.setAlpha(1); }