Function initGlobal();
Function unloadGlobal();
Function showActionInfo(String strValue);
Function debugAlert(String strValue);

Global String strSkinName;

Global Container containerMain;
Global Container containerVideo;

Global Layout layoutMainNormal;
Global Layout layoutMainShade;
Global Layout layoutVideoNormal;

Global Text textNormalSongInfo, textShadeSongName;
Global Text textNormalActionInfo, textShadeActionInfo;

Global Timer timerSongTicker;
Global Boolean boolReleaseSongTicker;

initGlobal() {
	containerMain = System.getContainer("main");
	containerVideo = System.getContainer("video");
	
	layoutMainNormal = containerMain.getLayout("normal");
	layoutMainShade = containerMain.getLayout("shade");
	layoutVideoNormal = containerVideo.getLayout("normal");
	
	textNormalSongInfo = layoutMainNormal.findObject("player.display.songinfo");
	textNormalActionInfo = layoutMainNormal.findObject("player.display.actioninfo");
	
	textShadeSongName = layoutMainShade.findObject("player.display.songname");
	textShadeActionInfo = layoutMainShade.findObject("player.display.actioninfo");
	
	textNormalActionInfo.hide();
	textShadeActionInfo.hide();
	
	timerSongTicker = new Timer;
	timerSongTicker.setDelay(1000);
	boolReleaseSongTicker = true;
}

unloadGlobal() {
	delete timerSongTicker;
}

timerSongTicker.onTimer() {
	if (boolReleaseSongTicker) {
		textNormalActionInfo.hide();
		textNormalSongInfo.show();
		
		textShadeActionInfo.hide();
		textShadeSongName.show();
		
		timerSongTicker.stop();
	}
}

showActionInfo(String strValue) {
	timerSongTicker.stop();
	timerSongTicker.start();
	
	textNormalSongInfo.hide();
	textNormalActionInfo.show();
	textNormalActionInfo.setText(strValue);
	
	textShadeSongName.hide();
	textShadeActionInfo.show();
	textShadeActionInfo.setText(strValue);
}

debugAlert(String strValue) {
	messageBox(strValue, "Debug Alert", 0, "");
}